/**
 * Javascript ALSA aplay wrapper for Node.js
 *
 * @mantainedBy Rocco Musolino - @roccomuso
 * @author Patrik Melander (lotAballs) node-aplay module
 * @originalAuthor Maciej Sopyło @ KILLAHFORGE.
 *
 * Dependencies: sudo apt-get install alsa-base alsa-utils
 * MIT License
 */
/// <reference types="node" />
import EventEmitter = require('events');
interface SoundOptions {
    channel?: number;
}
export default class Sound extends EventEmitter {
    private _channel?;
    private _process?;
    private _stopped;
    constructor(options?: SoundOptions);
    play(fileName?: string): this;
    stop(): this;
    pause(): this;
    resume(): this;
    setChannel(ch: number): this;
}
export {};
